Subject: King's at 6 PM today!

From: Jean Xin <[email-masked]>
Date: Fri, 28 Feb 2014 17:22:45 -0500

Kick back after a long week and join us for dinner, drinks, 12 lanes of
bowling and more! :D Don't forget your *MIT and government issued ID!*

*Directions:*
To get there from campus, you can take the 1 bus or Saferide Boston East
(runs every half hour from the Stud after 6 PM) and get off at the Hynes
bus stop. If you want to make sure you're first to get lots of yummy food
and drinks, you can also take the last Boston Daytime and get off at Beacon
St. From Hynes, walk down Boylston St. and take the right before you reach
the Pru.

*King's Address:*
*50 Dalton St, Boston, MA 02115*

-- 
Yijing (Jean) Xin
MIT Class of 2014
(262) 865-8943